# std::packaged_task::swap

From cppreference.com
< cpp‎ | thread‎ | packaged task

void swap( packaged_task& other ); |  | (since C++11)

Exchanges the shared states and stored tasks of *this and `other`.

### Parameters

other | - | packaged task whose state to swap with

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### See also

std::swap(std::packaged_task) (C++11) | specializes the std::swap algorithm (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/packaged_task/swap&oldid=91676"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template